Bug 449993 - Bad dialog when running out of diskspace
Bad dialog when running out of diskspace
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 12:45 EDT by Michael Monreal
Modified: 2014-01-21 18:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-04 05:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (169.04 KB, image/png)
2008-06-04 12:46 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2008-06-04 12:45:17 EDT
I Just ran out of diskspace while packagekit was updating and the dialog I got
did not fit on screen... (see attachment)
Comment 1 Michael Monreal 2008-06-04 12:46:04 EDT
Created attachment 308368 [details]
Screenshot
Comment 2 Richard Hughes 2008-06-04 16:33:53 EDT
Robin, is there anything we can do to detect this, other than screenscaping the
error number? Can we detect this /before/ we start the transaction?
Comment 3 Richard Hughes 2008-07-04 05:46:51 EDT
I've fixed the insane length error message in 0.2.x and master. I'll ping the
yum guys about detecting the out of disk space before the transactions.
Comment 4 Seth Vidal 2008-07-07 08:38:10 EDT
The test run of the transaction that yum does shows disk errors before the
transaction. I'm not sure if pk is using that or not. But it is not possible to
detect the out of disk space issue before downloading the pkgs. You have to have
the full headers to figure it out.

Note You need to log in before you can comment on or make changes to this bug.